﻿using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Windows.Threading;
using Infragistics.Controls.Layouts;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        DispatcherTimer dp;
        public MainWindow()
        {
            InitializeComponent();
            dp = new DispatcherTimer();
            dp.Tick += dp_Tick;
            dp.Interval = new TimeSpan(0, 0, 1);
        }

        void dp_Tick(object sender, EventArgs e)
        {
            //here you can create start your animation
        }

        private void XamTileManager_PreviewMouseLeftButtonDown_1(object sender, MouseButtonEventArgs e)
        {
            dp.Start();            
        }

        private void XamTileManager_PreviewMouseLeftButtonUp_1(object sender, MouseButtonEventArgs e)
        {
            //here you can check if there is animation
            //and if so you can decide wheatehr to maximize or not
            if (e.Source is XamTile)
            {               
               (e.Source as XamTile).IsMaximized = !(e.Source as XamTile).IsMaximized;
            }            
            dp.Stop();
        }
    }
}
